import java.awt.*;
import java.awt.event.*;
import java.applet.*;

class MyButton extends Button implements ActionListener
{
    static Color [] colors = { Color.red, Color.green, Color.blue };

    Main	main;
    int 	col_cnt;

    MyButton(Main m)
    {
	super("MinKnapp");
        main = m;
        col_cnt = 0;
        addActionListener( this );
    }

    public void actionPerformed( ActionEvent e )
    {
	++col_cnt;
        if (col_cnt >= 3)
	    col_cnt = 0;

	main.setBackground( colors[col_cnt] );
    }
}

public class Main extends Applet
{
    public void init()
    {
        add( new MyButton(this) );
    }
}
