import java.awt.*;
import java.applet.*;

/**
 * MinCanvas r en Canvas, dvs. en komponent som i princip
 * gr ingenting mer n att den har en rityta. Ett slags
 * generiskt kladdblock.
 */
class MinCanvas extends Canvas
{
    /** Aktuell frg. */
    Color color;

    /** Fr att konstruera en ny canvas. */
    MinCanvas( Color c ) { color = c; }

    /** Canvasens utseende. */
    public void paint( Graphics g )
    {
	Dimension d = getSize();
	g.setColor( color );
	g.fillRect( 0, 0, d.width, d.height );
    }
}

/**
 * Huvudklassen som r en applet.
 */
public class Main extends Applet
{
    /** Appletens initieringsfas. */
    public void init()
    {
	// Stt layout-hanteraren till ett rutmnster
	// bestende av 2 rader och 3 kolumner med
        // 10 resp. 50 punkters gap/mellanrum.
	setLayout( new GridLayout( 2, 3, 10, 50 ) );

	// Addera komponenter till appleten (containern).
	add( new MinCanvas( Color.red ) );
	add( new MinCanvas( Color.orange ) );
	add( new MinCanvas( Color.yellow ) );

	add( new MinCanvas( Color.green ) );
	add( new MinCanvas( Color.blue ) );
	add( new MinCanvas( Color.magenta ) );
    }
}