import java.awt.*;
import java.applet.*;
import java.awt.event.*;

/** Knapp */
class MyButton extends Button implements ActionListener
{
    String []	LABELS = { "foo", "bar", "hej", "xyzzy" };
    int		index;

    MyButton()
    {
	super( "Test" );
	index = 0;
	addActionListener( this );
    }

    public void actionPerformed( ActionEvent e )
    {
	setLabel( LABELS[index] );
	index++;
	if (index == LABELS.length)
	    index = 0;
    }
}

/** Huvudprogram. */
public class Main extends Applet implements ActionListener
{
    private final Color [] COLORS =
		{ Color.red, Color.orange, Color.yellow,
		  Color.green, Color.blue };

    private int thisColorIndex;

    public void init()
    {
	thisColorIndex = 0;
	Button b = new MyButton();
	add( b );
	b.addActionListener( this );
    }

    public void newBackground()
    {
	setBackground( COLORS[thisColorIndex] );
	thisColorIndex++;
	if (thisColorIndex >= COLORS.length)
	    thisColorIndex = 0;
    }

    public void actionPerformed( ActionEvent e )
    {
	newBackground();
    }
}
