import java.awt.*;
import java.applet.*;

class MinCanvas extends Canvas
{
    Color color;

    MinCanvas( Color c, int x, int y, int w, int h )
        { color = c; setLocation(x,y); setSize(w,h); }

    public void paint( Graphics g )
    {
	Dimension d = getSize();
	g.setColor( color );
	g.fillRect( 0, 0, d.width, d.height );
    }
}

public class Main extends Applet
{
    public void init()
    {
	setBackground( Color.blue.darker() );
	setLayout( null );

	add( new MinCanvas( Color.green, 50, 50, 90, 90 ) );
	add( new MinCanvas( Color.red, 380, 200, 180, 140 ) );
	add( new MinCanvas( Color.yellow, 100, 300, 170, 70 ) );
    }
}

